<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mle::LinkFrameCounterTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d4/dfa/classThread_1_1Mle_1_1LinkFrameCounterTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mle::LinkFrameCounterTlv Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../de/d97/group__core-mle.html">MLE</a> &raquo; <a class="el" href="../../d4/d80/group__core-mle-tlvs.html">TLVs</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Source Address TLV generation and parsing.  
 <a href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">src/core/thread/mle_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Mle::LinkFrameCounterTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d2f/classThread_1_1Mle_1_1LinkFrameCounterTlv__inherit__graph.png" border="0" usemap="#Thread_1_1Mle_1_1LinkFrameCounterTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Mle_1_1LinkFrameCounterTlv_inherit__map" id="Thread_1_1Mle_1_1LinkFrameCounterTlv_inherit__map">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="61,5,178,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Mle::LinkFrameCounterTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d69/classThread_1_1Mle_1_1LinkFrameCounterTlv__coll__graph.png" border="0" usemap="#Thread_1_1Mle_1_1LinkFrameCounterTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Mle_1_1LinkFrameCounterTlv_coll__map" id="Thread_1_1Mle_1_1LinkFrameCounterTlv_coll__map">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="61,5,178,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a52bb0f2e2e6dc17a4ade9d669d087c4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52bb0f2e2e6dc17a4ade9d669d087c4c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html#a52bb0f2e2e6dc17a4ade9d669d087c4c">Init</a> (void)</td></tr>
<tr class="memdesc:a52bb0f2e2e6dc17a4ade9d669d087c4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a52bb0f2e2e6dc17a4ade9d669d087c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b4bab127f776c4e48a9268abc9d806"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html#a22b4bab127f776c4e48a9268abc9d806">IsValid</a> (void) const </td></tr>
<tr class="memdesc:a22b4bab127f776c4e48a9268abc9d806"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#a22b4bab127f776c4e48a9268abc9d806">More...</a><br /></td></tr>
<tr class="separator:a22b4bab127f776c4e48a9268abc9d806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90b2776261a2a6c51b0e5fee4ec3064b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html#a90b2776261a2a6c51b0e5fee4ec3064b">GetFrameCounter</a> (void) const </td></tr>
<tr class="memdesc:a90b2776261a2a6c51b0e5fee4ec3064b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Frame Counter value.  <a href="#a90b2776261a2a6c51b0e5fee4ec3064b">More...</a><br /></td></tr>
<tr class="separator:a90b2776261a2a6c51b0e5fee4ec3064b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad52e51caaf0ed53677064d020c2f900e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html#ad52e51caaf0ed53677064d020c2f900e">SetFrameCounter</a> (uint32_t aFrameCounter)</td></tr>
<tr class="memdesc:ad52e51caaf0ed53677064d020c2f900e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Frame Counter value.  <a href="#ad52e51caaf0ed53677064d020c2f900e">More...</a><br /></td></tr>
<tr class="separator:ad52e51caaf0ed53677064d020c2f900e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ad28182aa15948860fd1f1f179cbdc051">GetType</a> (void) const </td></tr>
<tr class="memdesc:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#ad28182aa15948860fd1f1f179cbdc051">More...</a><br /></td></tr>
<tr class="separator:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a20693a0ee15c8eed9d63c29408a3dd21">SetType</a> (<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType)</td></tr>
<tr class="memdesc:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#a20693a0ee15c8eed9d63c29408a3dd21">More...</a><br /></td></tr>
<tr class="separator:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ca0e457786d652857a47519d7629bea"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2ca0e457786d652857a47519d7629bea">GetLength</a> (void) const </td></tr>
<tr class="memdesc:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#aa9531efdff2976fbea3881c7c893a1c8">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#aa9531efdff2976fbea3881c7c893a1c8">More...</a><br /></td></tr>
<tr class="separator:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:af70cebff9bed012cf22a9b26e0bdd1d1 inherit pub_types_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a3ea89fc328ddd480b82f733cd22f2b90">kSourceAddress</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ad26d819e7d4a1169d68702717d2ef717">kMode</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1acdea9fb4d10c74f4e7f4e6161fc2d3bd">kTimeout</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1ba1fb810f84e9a0cbc63d29241d5c38">kChallenge</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1aa745d2f458c1c880e569d156c1565229">kResponse</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a49a90c24fadc447ea05ea5be8267127e">kLinkFrameCounter</a> = 5, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a31f349adb3d20e9a45dd8d3b38100db2">kLinkQuality</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ac2d1d3dc484071d4fa535c4da6e802c7">kNetworkParameter</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a3b9f5285d890b1277f7d6e5f038725bd">kMleFrameCounter</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a4ce879b8c16cea609d2a5690034b6b28">kRoute</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1abb5b471c5b37c31e4a98b6ac06fd0825">kAddress16</a> = 10, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1af9daf15db42ddd3c2c606daf4cfe83c5">kLeaderData</a> = 11, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1af8ad6f8471a62ad13772daf64a85bafe">kNetworkData</a> = 12, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ab41fbe3aaf615636f218d78b91b21059">kTlvRequest</a> = 13, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a10e04f554b3a157449235081270a1182">kScanMask</a> = 14, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1f07a8ccefb16866f23e23fa2a9efa7f">kConnectivity</a> = 15, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1abada390463982cd091810a97a0fa318d">kLinkMargin</a> = 16, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a5cbb58900256740237f2eb4ebb3b5fb6">kStatus</a> = 17, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1a8c877416423ba175f2161a7ecedb94">kVersion</a> = 18, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1acb4801567803107a5d93bd5c7a039868">kAddressRegistration</a> = 19, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a6ad87ef90b4bb752ba14151b16097dc0">kChannel</a> = 20, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a19c246f76c45d1a007fe679783a90c91">kPanId</a> = 21, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a76fe5063bef34fece1a47b736f0b02fc">kActiveTimestamp</a> = 22, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1adc1e9bc226d97467b0b1726d10af740d">kPendingTimestamp</a> = 23, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a2663d86e5fc7f5b288845448b29d7ded">kActiveDataset</a> = 24, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a966bf9a058ad916f58150de81a38f83e">kPendingDataset</a> = 25, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a19eb1e491f4641815efb05c667e74720">kDiscovery</a> = 26, 
<br />
&#160;&#160;<b>kInvalid</b> = 255
<br />
 }<tr class="memdesc:af70cebff9bed012cf22a9b26e0bdd1d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">MLE TLV Types.  <a href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:af70cebff9bed012cf22a9b26e0bdd1d1 inherit pub_types_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ac452d3aa15759caa12dd6e3ff3a64af5">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Tlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#ac452d3aa15759caa12dd6e3ff3a64af5">More...</a><br /></td></tr>
<tr class="separator:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2e0b8e9d6a043f25504ff6523a6977c8">GetOffset</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType, uint16_t &amp;aOffset)</td></tr>
<tr class="memdesc:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method obtains the offset of a TLV within <code>aMessage</code>.  <a href="#a2e0b8e9d6a043f25504ff6523a6977c8">More...</a><br /></td></tr>
<tr class="separator:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Source Address TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a90b2776261a2a6c51b0e5fee4ec3064b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t Thread::Mle::LinkFrameCounterTlv::GetFrameCounter </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Frame Counter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Frame Counter value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a90b2776261a2a6c51b0e5fee4ec3064b_icgraph.png" border="0" usemap="#d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a90b2776261a2a6c51b0e5fee4ec3064b_icgraph" alt=""/></div>
<map name="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a90b2776261a2a6c51b0e5fee4ec3064b_icgraph" id="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a90b2776261a2a6c51b0e5fee4ec3064b_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="264,378,478,403"/>
<area shape="rect" id="node9" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1317,49,1533,87"/>
<area shape="rect" id="node13" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1082,429,1244,467"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2140,514,2321,539"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="818,371,992,410"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1069,101,1257,139"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="540,293,731,331"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="526,486,746,511"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="555,535,716,574"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2376,451,2549,490"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2420,514,2504,539"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2597,217,2752,255"/>
<area shape="rect" id="node10" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1607,65,1827,90"/>
<area shape="rect" id="node11" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="1893,217,2085,255"/>
<area shape="rect" id="node12" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2133,217,2328,255"/>
<area shape="rect" id="node14" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1345,431,1506,470"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1345,494,1506,533"/>
<area shape="rect" id="node21" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1309,369,1542,407"/>
<area shape="rect" id="node15" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1635,379,1799,418"/>
<area shape="rect" id="node17" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1904,507,2074,546"/>
<area shape="rect" id="node16" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1907,382,2071,421"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1919,445,2059,483"/>
<area shape="rect" id="node20" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1590,494,1845,533"/>
<area shape="rect" id="node22" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1652,330,1783,355"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="827,221,984,246"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1065,314,1261,339"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="794,270,1017,295"/>
<area shape="rect" id="node25" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1666,177,1769,202"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1652,281,1783,306"/>
<area shape="rect" id="node29" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1662,226,1772,251"/>
<area shape="rect" id="node31" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="803,486,1007,525"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a22b4bab127f776c4e48a9268abc9d806"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Mle::LinkFrameCounterTlv::IsValid </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_cgraph.png" border="0" usemap="#d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_cgraph" alt=""/></div>
<map name="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_cgraph" id="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_cgraph">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2ca0e457786d652857a47519d7629bea" title="This method returns the Length value. " alt="" coords="264,12,451,37"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_icgraph.png" border="0" usemap="#d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_icgraph" alt=""/></div>
<map name="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_icgraph" id="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_a22b4bab127f776c4e48a9268abc9d806_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="264,378,478,403"/>
<area shape="rect" id="node9" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1317,49,1533,87"/>
<area shape="rect" id="node13" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1082,429,1244,467"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2140,514,2321,539"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="818,371,992,410"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1069,101,1257,139"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="540,293,731,331"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="526,486,746,511"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="555,535,716,574"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2376,451,2549,490"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2420,514,2504,539"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2597,217,2752,255"/>
<area shape="rect" id="node10" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1607,65,1827,90"/>
<area shape="rect" id="node11" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="1893,217,2085,255"/>
<area shape="rect" id="node12" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2133,217,2328,255"/>
<area shape="rect" id="node14" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1345,431,1506,470"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1345,494,1506,533"/>
<area shape="rect" id="node21" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1309,369,1542,407"/>
<area shape="rect" id="node15" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1635,379,1799,418"/>
<area shape="rect" id="node17" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1904,507,2074,546"/>
<area shape="rect" id="node16" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1907,382,2071,421"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1919,445,2059,483"/>
<area shape="rect" id="node20" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1590,494,1845,533"/>
<area shape="rect" id="node22" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1652,330,1783,355"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="827,221,984,246"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1065,314,1261,339"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="794,270,1017,295"/>
<area shape="rect" id="node25" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1666,177,1769,202"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1652,281,1783,306"/>
<area shape="rect" id="node29" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1662,226,1772,251"/>
<area shape="rect" id="node31" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="803,486,1007,525"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad52e51caaf0ed53677064d020c2f900e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mle::LinkFrameCounterTlv::SetFrameCounter </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>aFrameCounter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Frame Counter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aFrameCounter</td><td>The Frame Counter value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_ad52e51caaf0ed53677064d020c2f900e_icgraph.png" border="0" usemap="#d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_ad52e51caaf0ed53677064d020c2f900e_icgraph" alt=""/></div>
<map name="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_ad52e51caaf0ed53677064d020c2f900e_icgraph" id="d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv_ad52e51caaf0ed53677064d020c2f900e_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#ga8fd1d15e75f4474b7d10e9e497e79ac2" title="This method appends a Link Frame Counter TLV to a message. " alt="" coords="264,298,438,337"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="486,298,661,337"/>
<area shape="rect" id="node21" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1209,52,1425,90"/>
<area shape="rect" id="node25" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1236,444,1398,482"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="709,241,897,280"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="945,273,1159,298"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2306,248,2487,273"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1222,114,1412,153"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1207,280,1427,305"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1237,329,1398,368"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2542,204,2715,242"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2586,266,2671,292"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2763,102,2919,141"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1513,174,1670,200"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1493,72,1690,97"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1480,121,1703,146"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1832,174,1935,200"/>
<area shape="rect" id="node13" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2059,114,2251,153"/>
<area shape="rect" id="node14" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2299,114,2494,153"/>
<area shape="rect" id="node16" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1818,72,1949,97"/>
<area shape="rect" id="node18" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1828,121,1939,146"/>
<area shape="rect" id="node20" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1489,280,1694,318"/>
<area shape="rect" id="node22" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1774,21,1993,46"/>
<area shape="rect" id="node24" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2070,373,2240,412"/>
<area shape="rect" id="node26" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1511,457,1672,496"/>
<area shape="rect" id="node30" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1511,520,1672,558"/>
<area shape="rect" id="node32" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1475,394,1708,433"/>
<area shape="rect" id="node27" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1801,454,1966,493"/>
<area shape="rect" id="node28" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2073,510,2237,549"/>
<area shape="rect" id="node29" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2085,448,2225,486"/>
<area shape="rect" id="node31" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1756,520,2011,558"/>
<area shape="rect" id="node33" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1818,293,1949,318"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">mle_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/dd4/namespaceThread_1_1Mle.html">Mle</a></li><li class="navelem"><a class="el" href="../../d4/dfb/classThread_1_1Mle_1_1LinkFrameCounterTlv.html">LinkFrameCounterTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
